# Uses of Class
org.springframework.web.servlet.config.annotation.ViewResolverRegistry

Packages that use ViewResolverRegistry
Package
Description
org.springframework.web.servlet.config.annotation
Annotation-based setup for Spring MVC.

## Uses of ViewResolverRegistry in org.springframework.web.servlet.config.annotation

Methods in org.springframework.web.servlet.config.annotation with parameters of type ViewResolverRegistry
Modifier and Type
Method
Description
`protected void`
DelegatingWebMvcConfiguration.`configureViewResolvers(ViewResolverRegistry registry)`
`protected void`
WebMvcConfigurationSupport.`configureViewResolvers(ViewResolverRegistry registry)`
Override this method to configure view resolution.
`default void`
WebMvcConfigurer.`configureViewResolvers(ViewResolverRegistry registry)`
Configure view resolvers to translate String-based view names returned from controllers into concrete `View` implementations to perform rendering with.